(function(){

	loader.xmas = {};

	loader.xmas.windowMain = null;
	

	loader.xmas.create = function(){

		loader.xmas.windowMain =  Ti.UI.createWindow({
			id              : 'Loader',
			title           : 'Loader',
			backgroundImage : '/images/back.png'
		});

		loader.xmas.viewMain = Ti.UI.createView({
			top             : 0,
			left            : 0,
			width           : 320,
			height          : 480,
			backgroundColor : 'transparent'
		});

		loader.xmas.imageView = Ti.UI.createImageView({
			image    : '/images/loader/loader0.png',
			width  : 32,
			height : 32
		});
	};


	loader.xmas.show  = function(){
		if (!loader.xmas.windowMain) loader.xmas.create();

		loader.xmas.viewMain.add(loader.xmas.imageView);
		loader.xmas.windowMain.add(loader.xmas.viewMain);

		var index = 1;

		var animate = function(){
			loader.xmas.imageView.image = '/images/loader/loader' + index + '.png';
			index++;
			if (index>11) index = 0;
		};

		loader.xmas.interval = setInterval(animate,80);
		loader.xmas.windowMain.open();
	};

	loader.xmas.hide = function(){
		clearInterval(loader.xmas.interval);
		loader.xmas.windowMain.close();
	}

})();