(function() {

	main.xmas = {};

	main.xmas.createWindow = function() {

		main.xmas.window = Ti.UI.createWindow({
			id              : 'Main',
			title           : 'Main',
			backgroundImage : '/images/back.png'
		});

		main.xmas.header = header.xmas.get();

		main.xmas.content = Ti.UI.createView({
			top             : 56,
			width           : 320,
			backgroundColor : 'transparent',
		});

		main.xmas.watermark = Ti.UI.createView({
			backgroundColor : 'transparent',
			backgroundImage : '/images/watermark.png'
		});

		main.xmas.buttonScan = Ti.UI.createButton({
			top             : 25,
			width           : 175,
			height          : 167,
			backgroundImage :'/images/menuScan.png',
		});

		main.xmas.buttonSetup = Ti.UI.createButton({
			top             : 240,
			left            : 12,
			width           : 99,
			height          : 99,
			layout          : 'horizontal',
			backgroundImage : '/images/btnSetup.png'
		});

		main.xmas.buttonAyuda = Ti.UI.createButton({
			top             : 240,
			left            : 111,
			width           : 99,
			height          : 99,
			layout          : 'horizontal',
			backgroundImage : '/images/btnAyuda.png'
		});

		main.xmas.buttonPedidos = Ti.UI.createButton({
			top             : 240,
			left            : 210,
			width           : 99,
			height          :  99,
			layout          : 'horizontal',
			backgroundImage : '/images/btnPedidos.png'
		});

		main.xmas.buttonScan.addEventListener('click', QR.xmas.capture);

		main.xmas.buttonAyuda.addEventListener('click', function(){
			yappHelp();
			main.xmas.window.close();
		});

		main.xmas.buttonSetup.addEventListener('click', function(){
			yappSetup();
			main.xmas.window.close();
		});

		main.xmas.buttonPedidos.addEventListener('click', function(){
			yappPedidos();
			main.xmas.window.close();
		});

		main.xmas.content.add(main.xmas.buttonScan);
		main.xmas.content.add(main.xmas.buttonAyuda);
		main.xmas.content.add(main.xmas.buttonPedidos);
		main.xmas.content.add(main.xmas.buttonSetup);

		main.xmas.window.add(main.xmas.watermark);
		main.xmas.window.add(main.xmas.header.view);

		//Ti.include('actionsMain.js');
		main.xmas.window.add(main.xmas.content);
		main.xmas.window.open();
	};

})();