(function() {
	order.xmas = {};
	order.xmas.createorderWindow = function(lista) {
		var mainWindow = Ti.UI.createWindow({
		title: "Detalle",
		id:"Detalle",
		backgroundImage:"/images/back.png"
	}); 
	var pedidosView = Titanium.UI.createView({
			backgroundColor:'transparent',
			width:'320px',
			height:'480px'
	});
	var watermark =  Titanium.UI.createView({
			backgroundColor:'transparent',
			backgroundImage:'/images/watermarkPedidos.png'
	});
	var title = Titanium.UI.createView({
			backgroundColor:'transparent',
			backgroundImage:'/images/ordenarTitle.png',
			width:'320px',
			height:'56px',
			top:'0px',
			left:'0px'
	});
	var backButton = Titanium.UI.createButton({
			backgroundImage:'/images/backPedidos.png',
			width:'101px',
			height:'42px',
			top:'10px',
			left:'0px'
	});
		//We need to get the information on the database about the order, i got the lista id and let's retreive all the products with the id lista
		var data = database.xmas.getAllProducts(lista);
		var datos=[];
		for(i=0; i<data.length;i++){
			var row = Titanium.UI.createTableViewRow({
				title:data[i].nombre,
				backgroundImage:'images/backDetailList.png',
				backgroundColor:'transparent',
				color:'white',
				height:'86px',
				font:{fontSize:12},
				selectedBackgroundColor:'#ccc',
				borderColor:'transparent',
				rightImage:path+'images/btnSig.png',
				value:data[i].sku,
				precio:data[i].cantidad
			});
			datos.push(row);
		}
		var orderTable = Titanium.UI.createTableView({
			//data:pedidosData,
			data:datos, 
			height:'210px', 
			width:'300px', 
			top:'70px', 
			backgroundColor:'transparent',
			separatorColor: 'transparent',
			});
			
			var ordenarButton = Ti.UI.createButton({
			backgroundImage:'/images/ordenarBtn.png',
			width:'122px',
			height:'46px',
			top:'400px',
			left:'100px'
			});
			var bottomLabel = Titanium.UI.createLabel({
				text:'El carrito está vacío',
				height:'46px',
				width:'122px',
				top:'400px',
				left:100,
				font:{fontSize:14},
				color:'#fff',
				textAlign:'center'
			});
			
		var totalCosto=0;
		for (j=0;j<data.length;j++)
		{
			Ti.API.info('en cantidad tengo: '+data[j].cantidad+' y en precio tengo: '+data[j].precio);
			totalCosto += (data[j].cantidad * data[j].precio);
		} 
		var totalLabel = Ti.UI.createLabel({
			text:'Costo total: $ '+totalCosto,
			height:'auto',
			width:'auto',
			top:'350px',
			//left:'60px',
			font:{fontSize:24},
			color:'#FAAF3A',
			textAlign:'center'
		})
	backButton.addEventListener('click', function(e){
			mainWindow.close();
	});
	ordenarButton.addEventListener('click', function(e){
		var givemeWin = giveittome.xmas.createorderWindow(data, lista, totalCosto);
		givemeWin.open();
	});
		
		pedidosView.add(watermark);
		pedidosView.add(title);
		pedidosView.add(backButton);
		pedidosView.add(orderTable);
		if(data.length > 0)
		{
			pedidosView.add(ordenarButton);
		}else{
			pedidosView.add(bottomLabel);
		}
		pedidosView.add(totalLabel);
		mainWindow.add(pedidosView);
		
		return mainWindow;
	};
	
})();