(function(){

	setup.xmas = {day:null, month:null,year:null};

	tableViewClickHandler = function(event){
		Ti.API.info('click on   row, lets build a window!  '+event.row.value);
		if (event.row.value === 'generales'){
			var gralWin = setup.xmas.createGeneralWindow(true);
			gralWin.open();
		} else if (event.row.value === 'direccion') {
			//var addressWin = setup.xmas.createAddressWindow();
			var addressWin = setup.xmas.populateAddressData();
			//addressWin.open();
		} else if (event.row.value === 'cuentas') {
			//var cardsWin = setup.xmas.createCardsWindow();
			var cardsWin = setup.xmas.populateCardsData();
			//cardsWin.open();
		} else if (event.row.value === 'facturacion'){
			var invoiceWin = setup.xmas.populateInvoiceData();
			//invoiceWin.open();
		}
	}

	setup.xmas.createWindow = function() {

		setup.xmas.window = Ti.UI.createWindow({
			title : 'Setup',
			id    : 'Setup',
			backgroundImage:"/images/back.png"
		});

		setup.xmas.header = header.xmas.get({
			label     : 'Setup',
			labelLeft : 'Atrás'
		});

		setup.xmas.table = Ti.UI.createTableView({
			top             : 76,
			height          : 250,
			width           : 300,
			backgroundColor : 'transparent',
			separatorColor  : 'transparent',
			data:[
				{
					title:'Generales',
					backgroundImage:'images/backrow.png',
					backgroundColor:'transparent',
					color:'white',
					height:59,
					selectedBackgroundColor:'#ccc',
					borderColor:'transparent',
					rightImage:path+'images/btnSig.png',
					value:'generales'
				},
				{
					title:'Dirección',
					backgroundImage:'images/backrow.png',
					backgroundColor:'transparent',
					color:'white',
					height:59,
					selectedBackgroundColor:'#ccc',
					borderColor:'transparent',
					rightImage:path+'images/btnSig.png',
					value:'direccion'
				},
				{
					title:'Formas de Pago',
					backgroundImage:'images/backrow.png',
					backgroundColor:'transparent',
					color:'white',
					height:59,
					selectedBackgroundColor:'#ccc',
					borderColor:'transparent',
					rightImage:path+'images/btnSig.png',
					value:'cuentas'
				},
				{
					title:'Facturación',
					backgroundImage:'images/backrow.png',
					backgroundColor:'transparent',
					color:'white',
					height:59,
					selectedBackgroundColor:'#ccc',
					borderColor:'transparent',
					rightImage:path+'images/btnSig.png',
					value:'facturacion'
				}
			]
		});

		setup.xmas.buttonLogout = Ti.UI.createButton({
			title  : 'CERRAR SESION',
			top    : 390,
			width  : 150,
			height : 45,
			backgroundImage:'/images/button.png',
			font:{
				fontSize   : 13.5,
				fontWeight : 'bold'
			}
		});

		setup.xmas.buttonLogout.addEventListener('click', function(){
			splash();
			setup.xmas.window.close();
		});

		setup.xmas.header.buttonLeft.addEventListener('click', function(){
			yapp();
			setup.xmas.window.close();
		});

		setup.xmas.table.addEventListener('click',tableViewClickHandler);

		setup.xmas.window.add(setup.xmas.buttonLogout);
		setup.xmas.window.add(setup.xmas.header.view)
		setup.xmas.window.add(setup.xmas.table);
		setup.xmas.window.open();
	};

	setup.xmas.createGeneralWindow = function() {
		var data = [];
		var mainWindow = Ti.UI.createWindow({
			title: "Generales",
			id:"Generales",
			backgroundImage:"/images/back.png"
		});
		var buildHead = {label:'Generales',labelLeft:'Atrás'}
		var headView = header.xmas.get(buildHead);
		var scrollView = Titanium.UI.createScrollView({
			contentWidth:'false',
			contentHeight:'auto',
			top:56,
			showVerticalScrollIndicator:true,
			showHorizontalScrollIndicator:true
		});
		var gralView = Ti.UI.createView({
			backgroundColor:'transparent',
			borderRadius:10,
			width:300,
			height:600,
			top:10
		});
		headView.buttonLeft.addEventListener('click', function(){
			mainWindow.close();
		});

		scrollView.add(gralView);
		mainWindow.add(scrollView);
		mainWindow.add(headView.view);

		return mainWindow;
	};
	setup.xmas.populateAddressData = function(){
		loader.xmas.show();
		API.call({
		type : 'get',
		url  : 'user/'+user+'/personalAddress',
		callback: function(success){
			Ti.API.info(this.object);
			if (!success || this.raw.status != 200)
				return error("Servicio no disponible\nVerifica estar conectado a una red inalambrica\n o que tu conexión celular esté habilitada. [" + this.raw.status + ']');
			var data = JSON.parse(this.raw.responseText);
			Ti.API.info('viene el return de datos');
			var win = setup.xmas.createAddressWindow(data.response);
			Ti.API.info('regreso al populate y hay que abrir la ventana y cerrar el loader');
			win.open();
			loader.xmas.hide();
		}
		});
	};
	setup.xmas.createAddressWindow = function(data) {
		Ti.API.info('el data success nos trae: '+data[0].success);
		if(data[0].success=='false'){
			Ti.API.info('SI ES FALSOOOOOOOOOOOOO: '+data[0].success);
			var buildHead = {label:'Dirección',labelLeft:'Atrás', labelRight:'Cargar'}
		}else{
			Ti.API.info('NO ES FALSOOOOOOOOOOOOO: '+data[0].success);
			var buildHead = {label:'Dirección',labelLeft:'Atrás'}
		}
		Ti.API.info('construccion de la ventana y demás');
		
		var mainWindow = Ti.UI.createWindow({
			title: "Address",
			id:"Address",
			backgroundImage:"/images/back.png"
		});

		var headView = header.xmas.get(buildHead);
		var scrollView = Titanium.UI.createScrollView({
			contentWidth:'false',
			contentHeight:'auto',
			top:56,
			showVerticalScrollIndicator:true,
			showHorizontalScrollIndicator:true
		});

		headView.buttonLeft.addEventListener('click', function(){
			mainWindow.close();
		});
		Ti.API.info('vamoave  vamoave!  --->'+data[0].success);
		if(data[0].success=='false'){
			headView.buttonRight.addEventListener('click', function(){
				var newAddressWin = addressui.xmas.newAddressWin();
				newAddressWin.open();
			});
		}else{
			Ti.API.info('la info esta aca adentro:'+data[2].address);
			var infoAddressView = addressui.xmas.showInfoView(data[2].address);
			scrollView.add(infoAddressView);
			//vamos a construir los labels para mostrar la info que tenemos en la base de datos
		}
		//scrollView.add(gralView);
		mainWindow.add(scrollView);
		mainWindow.add(headView.view);
		return mainWindow;
	};
	setup.xmas.populateCardsData = function(){
		loader.xmas.show();
		API.call({
		type : 'get',
		url  : 'user/'+user+'/paymentMethods',
		callback: function(success){
			Ti.API.info(this.object);
			if (!success || this.raw.status != 200)
				return error("Servicio no disponible\nVerifica estar conectado a una red inalambrica\n o que tu conexión celular esté habilitada. [" + this.raw.status + ']');
			var data = JSON.parse(this.raw.responseText);
			Ti.API.info('viene el return de datos');
			var win = setup.xmas.createCardsWindow(data.response);
			win.open();
			loader.xmas.hide();
		}
		});
	};
	

	setup.xmas.createCardsWindow = function(cards) {
		var buildHead = {label:'Tarjetas',labelLeft:'Atrás', labelRight:'Nuevo'};

		var data = [];
		var mainWindow = Ti.UI.createWindow({
			title: "Generales",
			id:"Generales",
			backgroundImage:"/images/back.png"
		});

		var headView = header.xmas.get(buildHead);
		var scrollView = Titanium.UI.createScrollView({
			contentWidth:'false',
			contentHeight:'auto',
			top:20,
			height:320,
			showVerticalScrollIndicator:true,
			showHorizontalScrollIndicator:false
		});
		var gralView = Ti.UI.createView({
			backgroundColor:'transparent',
			borderRadius:10,
			width:300,
			height:600,
			top:10
		});
		headView.buttonLeft.addEventListener('click', function(){
			mainWindow.close();
		});

		headView.buttonRight.addEventListener('click', function(){
			var newCardWin = cardsui.xmas.newCardWin();
			newCardWin.open();
		});
		if(cards!=false){
			var infoInvoiceView = cardsui.xmas.showInfoRows(cards);
			scrollView.add(infoInvoiceView);
		}
		mainWindow.add(scrollView);
		mainWindow.add(headView.view);
		
		return mainWindow;
		
	};
	
	setup.xmas.populateInvoiceData = function(){
		loader.xmas.show();
		API.call({
		type : 'get',
		url  : 'user/'+user+'/invoicingInfo',
		callback: function(success){
			Ti.API.info(this.object);
			if (!success || this.raw.status != 200)
				return error("Servicio no disponible\nVerifica estar conectado a una red inalambrica\n o que tu conexión celular esté habilitada. [" + this.raw.status + ']');
			var data = JSON.parse(this.raw.responseText);
			Ti.API.info('viene el return de datos');
			var win = setup.xmas.createInvoiceWindow(data.response);
			win.open();
			loader.xmas.hide();
		}
		});
	};

	setup.xmas.createInvoiceWindow = function(data) {
		Ti.API.info('el data success nos trae: '+data[0].success);
		if(data[0].success=='false'){
			Ti.API.info('SI ES FALSOOOOOOOOOOOOO: '+data[0].success);
			var buildHead = {label:'Facturación',labelLeft:'Atrás', labelRight:'Cargar'}
		}else{
			Ti.API.info('NO ES FALSOOOOOOOOOOOOO: '+data[0].success);
			var buildHead = {label:'Facturación',labelLeft:'Atrás'}
		}
		Ti.API.info('construccion de la ventana y demás');
		
		var mainWindow = Ti.UI.createWindow({
			title: "Invoice",
			id:"Invoice",
			backgroundImage:"/images/back.png"
		});

		var headView = header.xmas.get(buildHead);
		var scrollView = Titanium.UI.createScrollView({
			contentWidth:'false',
			contentHeight:'auto',
			top:56,
			showVerticalScrollIndicator:true,
			showHorizontalScrollIndicator:true
		});
		var gralView = Ti.UI.createView({
			backgroundColor:'transparent',
			borderRadius:10,
			width:300,
			height:600,
			top:10
		});
		headView.buttonLeft.addEventListener('click', function(){
			mainWindow.close();
		});
		if(data[0].success=='false'){
			headView.buttonRight.addEventListener('click', function(){
				var newInvoiceWin = invoiceui.xmas.newInvoiceWin();
				newInvoiceWin.open();
			});
		}else{
			Ti.API.info('la info esta aca adentro:'+data);
			var infoInvoiceView = invoiceui.xmas.showInfoView(data);
			scrollView.add(infoInvoiceView);
			//vamos a construir los labels para mostrar la info que tenemos en la base de datos
		}
		//scrollView.add(gralView);
		mainWindow.add(scrollView);
		mainWindow.add(headView.view);
		return mainWindow;
	};

})();