/*(function(){

	splash.xmas = {};

	splash.xmas.createWindow = function(){

		splash.xmas.window = Ti.UI.createWindow({
			title           : 'Splash',
			id              : 'Splash',
			backgroundImage : '/images/back.png'
 		});

 		splash.xmas.header = header.xmas.get({
 			labelRight : 'Acceso'
 		});

 		splash.xmas.content = Ti.UI.createView({
 			top    : 56,
 			width  : 320,
 			height : 424,
 			backgroundColor:'transparent'
 		});

 		splash.xmas.welcomeTitle = Ti.UI.createLabel({
 			text      : '¡BIENVENIDO!',
 			top       : 30,
 			color     : '#FFF',
 			textAlign : 'center',
 			height    : 16,
 			font:{
 				fontSize: 17,
 				fontWeight: 'bold'
 			}
 		});

 		splash.xmas.welcomeText = Ti.UI.createLabel({
 			text   : 'Insertar texto de Bienvenida e instrucciones aqui.',
 			top    : 56,
 			left   : 20,
 			width  : 280,
 			height : 'auto',
 			color  : '#FFF',
 			font   : { fontSize:14 }
 		}); 

 		splash.xmas.signupButton = Ti.UI.createButton({
 			title  : 'REGISTRO',
			top    : 340,
			width  : 118,
			height : 43,
			color  : '#FFF',
			backgroundImage:'/images/button.png',
			font:{
				fontSize:13.5,
				fontWeight:'bold'
			}
 		});

 		splash.xmas.header.buttonRight.addEventListener('click', function(){
 			authLogin();
 			splash.xmas.window.close();
 		});

 		splash.xmas.signupButton.addEventListener('click', function(){
 			authSignup();
 			splash.xmas.window.close();
 		});

 		splash.xmas.content.add(splash.xmas.welcomeTitle);
 		splash.xmas.content.add(splash.xmas.welcomeText);
 		splash.xmas.content.add(splash.xmas.signupButton);

 		splash.xmas.window.add(splash.xmas.content);
		splash.xmas.window.add(splash.xmas.header.view);

		splash.xmas.window.open();
	}


})(); */
(function(){

	splash.xmas = {};

	splash.xmas.createWindow = function(){

		splash.xmas.window = Ti.UI.createWindow({
			title           : 'Splash',
			id              : 'Splash',
			backgroundImage : '/images/back.png'
 		});

 		splash.xmas.header = header.xmas.get({
 			labelRight : 'Acceso'
 		});

 		splash.xmas.content = Ti.UI.createView({
 			top    : 56,
 			width  : 320,
 			height : 424,
 			backgroundColor:'transparent'
 		});

 		splash.xmas.welcomeTitle = Ti.UI.createLabel({
 			text      : '¡BIENVENIDO!',
 			top       : 30,
 			color     : '#FFF',
 			textAlign : 'center',
 			height    : 16,
 			font:{
 				fontSize: 17,
 				fontWeight: 'bold'
 			}
 		});

 		splash.xmas.welcomeText = Ti.UI.createLabel({
 			text   : 'Insertar texto de Bienvenida e instrucciones aqui.',
 			top    : 56,
 			left   : 20,
 			width  : 280,
 			height : 'auto',
 			color  : '#FFF',
 			font   : { fontSize:14 }
 		}); 
 		
 		splash.xmas.soyEmpleadoLabel = Ti.UI.createLabel({
 			text	: 'SOY EMPLEADO ELEKTRA',
 			top		: 224,
 			left	: 20,
 			height	: 'auto',
 			color	: '#FFF',
 			font	: { fontSize:14,fontWeight:'bold' }
 		});
 		
 		splash.xmas.quieroDescLabel = Ti.UI.createLabel({
 			text	: 'Y QUIERO MI DESCUENTO',
 			top		: 244,
 			left	: 50,
 			height	: 'auto',
 			color	: '#FFF',
 			font	: { fontSize:12,fontWeight:'bold' }
 		});
 		
 		splash.xmas.empleadoSwitch = Ti.UI.createSwitch({
 			top		: 224,
 			left	: 220,
 			visible	: 'true',
 			value	: 'false'
 		});

 		splash.xmas.signupButton = Ti.UI.createButton({
 			title  : 'REGISTRO',
			top    : 340,
			width  : 118,
			height : 43,
			color  : '#FFF',
			backgroundImage:'/images/button.png',
			font:{
				fontSize:13.5,
				fontWeight:'bold'
			}
 		});
 		
 		splash.xmas.empleadoSwitch.addEventListener('change', function(e){
 			Ti.API.debug.info("cambiaste");
 		});

 		splash.xmas.header.buttonRight.addEventListener('click', function(){
 			authLogin();
 			splash.xmas.window.close();
 		});

 		splash.xmas.signupButton.addEventListener('click', function(){
 			authSignup();
 			splash.xmas.window.close();
 		});

 		splash.xmas.content.add(splash.xmas.welcomeTitle);
 		splash.xmas.content.add(splash.xmas.welcomeText);
 		splash.xmas.content.add(splash.xmas.signupButton);
 		
		splash.xmas.content.add(splash.xmas.soyEmpleadoLabel);
		splash.xmas.content.add(splash.xmas.quieroDescLabel);
		splash.xmas.content.add(splash.xmas.empleadoSwitch);
		
 		splash.xmas.window.add(splash.xmas.content);
		splash.xmas.window.add(splash.xmas.header.view);
		


		splash.xmas.window.open();
	}


})();
