(function() {
	database.xmas = {};
	database.xmas.openDatabase = function() {
		var db = Titanium.Database.open('elektra');
		db.execute('drop table if exists carrito');
		db.execute('create table if not exists carrito (id_car integer not null primary key , nom_car text not null)');
		//db.execute('delete from  carrito');
		db.execute('create table if not exists producto (sku text primary key, nombre text, descripcion text, precio text, foto text)');
		db.execute('delete from  producto');
		//db.execute('drop table if exists lista');
		db.execute('create table if not exists lista (id_lista integer not null primary key autoincrement, id_car integer not null, sku varchar(25) not null, count varchar(25))');
		//db.execute('delete from lista');

		//User settings and information
		db.execute('create table if not exists usuario(id varchar(25)not null primary key, nombre varchar(50), lastname varchar(50), mlastname varchar(50))');
		db.execute('create table if not exists address(id integer not null primary key autoincrement, address1 text, address2 text, cp varchar(15), country varchar(80), state varchar(80))');
		//db.execute('drop table if exists cards');
		db.execute('create table if not exists cards (id integer not null primary key autoincrement, name varchar(150), number varchar(20), date varchar(10), ccv varchar(5), address1 text, address2 text, country varchar(80), cp varchar(15), state varchar(80), type varchar(20), alias varchar(30))');
		db.execute('create table if not exists invoice (id integer not null primary key autoincrement, rfc varchar(40), name varchar(159), address1 text, address2 text,cp varchar(15), country varchar(80), state varchar(80))')
		
		
		//products
		db.execute('insert into producto (sku, nombre, descripcion, precio, foto) VALUES (?, ?, ?, ?, ?)', '000001', 'Leche alpura','Caja de leche con 12 piezas, leche alpura vitaminada', 130.00,'/images/productos/cajaleche.jpg');
		db.execute('insert into producto (sku, nombre, descripcion, precio, foto) VALUES (?, ?, ?, ?, ?)', '000002', 'Jamon de Pavo', 'El mejor jamon de pavo, presentacion de 1 kg', 8.00, '/images/productos/pavo.jpg');
		db.execute('insert into producto (sku, nombre, descripcion, precio, foto) VALUES (?, ?, ?, ?, ?)', '000003', 'CD Juan Gabriel','Canta autor mexicano reconocido por sus temas romanticos', 75.80,'/images/productos/juanga.jpg');
		db.execute('insert into producto (sku, nombre, descripcion, precio, foto) VALUES (?, ?, ?, ?, ?)', '000004', 'Lavadora DAEWO', 'Lavadora de 10kg, consumo de energia eficiente, centrifuga y separa la pelusa',1600.00,'/images/productos/daewo.jpg');
		db.execute('insert into producto (sku, nombre, descripcion, precio, foto) VALUES (?, ?, ?, ?, ?)', '000005', 'Naranja 1Kg', 'Naranja dulce del valle de san luis potosi, presentacion de 1kg',14.40,'/images/productos/naranja.jpg');
		db.execute('insert into producto (sku, nombre, descripcion, precio, foto) VALUES (?, ?, ?, ?, ?)', '000006', 'Pantalones','Pantalones OGI Jeans resistentes y durareros, diferentes tallas, diferentes colores', 150.00, '/images/productos/jeans.jpg');
		db.execute('insert into producto (sku, nombre, descripcion, precio, foto) VALUES (?, ?, ?, ?, ?)', '000007', 'Traje Armani', 'Traje de diseñador, la mejor marca, diferentes tallas, corte ingles', 1200.00, '/images/productos/armani.jpg');
		db.execute('insert into producto (sku, nombre, descripcion, precio, foto) VALUES (?, ?, ?, ?, ?)', '000008', 'Tenis Nike', 'Tenis nike Total 90 para too tipo de terreno, suela duradera, diseño ergonomico',900.40,'/images/productos/tenis.jpg');
		db.execute('insert into producto (sku, nombre, descripcion, precio, foto) VALUES (?, ?, ?, ?, ?)', '000009', 'Perfumes', 'Coleccion de los mejores perfumes, el mejor regalo, los mejores perfumes al mejor precio', 300.80, '/images/productos/perfumes.jpg');
		db.execute('insert into producto (sku, nombre, descripcion, precio, foto) VALUES (?, ?, ?, ?, ?)', '000010', 'Reloj Casio', 'Reloj a prueba de agua 100 metros e profundidad, caratula de titanio y pila e tungsteno', 260.00, '/images/productos/reloj.jpg');
		//db.execute('INSERT INTO DATABASETEST (ID, NAME ) VALUES(?,?)',6,'Name 6');
		
		//db.execute('insert into carrito (nom_car) VALUES (?)', 'Lista 1');
		//db.execute('insert into carrito (nom_car) VALUES (?)', 'Lista 2');
		//db.execute('insert into carrito (nom_car) VALUES (?)', 'Mi lista 3');
		
		//db.execute('insert into lista () VALUES')
		db.close();
		
		return true;
	};
	
	database.xmas.createNewList = function(newList){
		Ti.API.info('estamos en db y nos llega el nombre:'+newList);
		var db = Titanium.Database.open('elektra');
		db.execute('insert into carrito (nom_car) values(?)', newList);
		db.close();
	};
	
	database.xmas.getLists = function(){
		var data=[];
		var db = Titanium.Database.open('elektra');
		var listas = db.execute('select * from carrito');
		while (listas.isValidRow())
		{	
			//Titanium.API.info('ID: ' + listas.field(0) + ' NAME: ' + listas.fieldByName('nom_car'));
			data.push({'value':listas.field(0), 'title':listas.fieldByName('nom_car')});
			listas.next();
		}
		listas.close();
		db.close();
		return data;
	};
	
	database.xmas.getCarName = function(id){
		//Ti.API.info('entro a getCarName y traigo el id: '+id);
		var db = Titanium.Database.open('elektra');
		var result = db.execute("select nom_car from carrito where id_car ='"+id+"'");
		var name;
		while (result.isValidRow()){
			name = result.fieldByName('nom_car');
			//Titanium.API.info('entro al while y tengo que name es: '+ name);
			result.next();
		}
		result.close();
		db.close();
		return name;
	};
	
	database.xmas.getProduct = function(sku){
		var db = Titanium.Database.open('elektra');
		//var prod = db.execute('select * from producto where sku='+sku);
		var prod = db.execute("select * from producto WHERE sku='"+sku+"'");
		var data;
		//Titanium.API.info('el prod que jalo es:'+prod.field(0));
		while (prod.isValidRow())
		{	
			//Titanium.API.info('ID: ' + prod.field(0) + ' NAME: ' + prod.fieldByName('nombre'));
			data = { 
   			 'sku' : prod.field(0), 'nombre':prod.field(1), 'descripcion':prod.field(2), 'precio':prod.field(3), 'foto':prod.field(4) };
   			//parsed = Titanium.JSON.stringify(data);
			prod.next();
		}
		prod.close();
		db.close();
		return data; 
		};
		database.xmas.insertIntoList = function(sku, id, count){
			Ti.API.info('traigo de add2cart los siguientes datos sku:'+sku+' el id: '+id+' count:'+count);
			var db = Titanium.Database.open('elektra');
			db.execute('insert into lista (id_car, sku, count) VALUES(?, ?, ?)', id, sku, count);
			db.close();
		};
		
		database.xmas.getAllProducts = function (listId){
			var db = Titanium.Database.open('elektra');
			var data = [];

			var sqlStatement="select * from producto, lista where lista.id_car="+listId+" and producto.sku=lista.sku;" ;
			var prods = db.execute(sqlStatement);
			while (prods.isValidRow())
			{	
				var row = { 
					'sku': prods.field(0), 'nombre':prods.field(1), 'precio':prods.field(3), 'cantidad':prods.field(8)
				};
				data.push(row);
				prods.next();
			}
			prods.close();
			db.close();
			return data;
		};
		
		database.xmas.isRegistered = function (){
			var exists = false;
			var db = Titanium.Database.open('elektra');
			var sqlStatement = "select * from usuario";
			var res = db.execute(sqlStatement);
			while(res.isValidRow()){
				exists = true;
				res.next();
			}
			res.close();
			db.close();
			return exists;
		};
		
		database.xmas.insertUser = function(id, name, lastName, mLastName){
			var db = Titanium.Database.open('elektra');
			var res = db.execute('insert into usuario (id, nombre, lastname, mlastname) VALUES(?,?,?,?)', id, name, lastName, mLastName);
			res.close();
			db.close();
			
		};
		
		database.xmas.getAddress = function(){
			Ti.API.info('entro a leer la info de address');
			var regreso = false;
			var data = [];
			var db = Titanium.Database.open('elektra');
			var res = db.execute('select * from address');
			//id i, address1 text, address2 text, cp varchar(15), country varchar(80), state varchar(80))
			while (res.isValidRow())
			{	
				regreso = true;
				var row = { 
					'Dirección 1': res.field(1), 'Dirección 2':res.field(2), 'Código Postal':res.field(3), 'País':res.field(4), 'Estado':res.field(5)
				};
				data.push(row);
				res.next();
			}
			res.close();
			db.close();
			if(regreso){
				return data;
			}else{
				return false;
			}
		};
		
		database.xmas.putAddress = function(address1, address2, cp, country, state){
			var db = Titanium.Database.open('elektra');
			db.execute('insert into address (address1, address2, cp, country, state) VALUES(?,?,?,?,?)', address1, address2, cp, country, state);
			db.close();
		};
		
		
		database.xmas.getInvoice = function(){
			var regreso = false;
			var data = [];
			var db = Titanium.Database.open('elektra');
			var res = db.execute('select * from invoice');
			while (res.isValidRow())
			{	
				regreso = true;
				var row = { 
					'RFC': res.field(1), 'Nombre':res.field(2), 'Dirección 1':res.field(3), 'Dirección 2':res.field(4), 'Código Postal':res.field(5), 'País':res.field(6), 'Estado':res.field(7)
				};
				data.push(row);
				res.next();
			}
			res.close();
			db.close();
			if(regreso){
				return data;
			}else{
				return false;
			}
		};
		database.xmas.putInvoice = function(rfc, name, address1, address2, cp, country, state, alias){
			var db = Titanium.Database.open('elektra');
			Ti.API.info('voy a hacer el insert');
			db.execute('insert into invoice (rfc, name, address1, address2, cp, country, state) VALUES(?,?,?,?,?,?,?)', rfc, name, address1, address2, cp, country, state);
			db.close();
		};
		//id , rfc , name , address1 , address2 ,cp, country , state 
	
		
		database.xmas.getCard = function(){
			var regreso = false;
			var data = [];
			var db = Titanium.Database.open('elektra');
			var res = db.execute('select * from cards');
			while (res.isValidRow())
			{	
				Ti.API.info('traemos info que vamos a regresar, osea, si hay tarjetas en la base de datos-> '+res.field(2));
				regreso = true;
				var row = { 
					'Nombre': res.field(1), 'Número de tarjeta':res.field(2), 'Fecha de vencimiento':res.field(3), 'ccv':res.field(4), 'Direccion 1':res.field(5), 'Direccion 2':res.field(6), 'País':res.field(7), 'Código Postal':res.field(8), 'Estado':res.field(9), 'Tarjeta':res.field(10), 'Alias':res.field(11)
				};
				data.push(row);
				res.next();
			}
			res.close();
			db.close();
			Ti.API.info("el tamaño para data es: "+data.length);
			if(regreso){
				return data;
			}else{
				return false;
			}
		};
		//name varchar(150), number varchar(20), date varchar(10), ccv varchar(5), address1 text, address2 text, country varchar(80), cp varchar(15), state varchar(80), type varchar(20))
		database.xmas.putCard = function(name, number, date, ccv, address1, address2, country, cp, state, type, alias){
			var db = Titanium.Database.open('elektra');
			Ti.API.info('voy a hacer el insert');
			db.execute('insert into cards (name, number, date, ccv, address1, address2, country, cp, state, type, alias) VALUES(?,?,?,?,?,?,?,?,?,?,?)', name, number, date, ccv, address1, address2, country, cp, state, type, alias);
			db.close();
		};
		
		database.xmas.createCar = function(id, name){
			var db = Titanium.Database.open('elektra');
			Ti.API.info('lo que traemos en las vars -> id: '+id+' y en name: '+name);
			db.execute('insert into carrito (id_car, nom_car) VALUES(?,?)', id, name);
			db.close();
		}
		
		
		
		
})();