(function() {
	invoiceui.xmas = {};
	invoiceui.xmas.newInvoiceWin = function(data) {
	var mainWindow = Ti.UI.createWindow({
		title: "Invoice",
		id:"Invoice",
		backgroundImage:"/images/back.png"
		});
	var buildHead = {label:'Facturación',labelLeft:'Atrás'}
	var headView = header.xmas.get(buildHead);
	var scrollView = Titanium.UI.createScrollView({
			contentWidth:'false',
			contentHeight:'auto',
			top:56,
			showVerticalScrollIndicator:true,
			showHorizontalScrollIndicator:true
		});
	var gralView = Ti.UI.createView({
			backgroundColor:'transparent',
			borderRadius:10,
			width:300,
			height:700,
			top:10
		});	
	var rfcLabel = Ti.UI.createLabel({
		text:'RFC:',
		height:'30px',
		width:'280px',
		top:'10px',
		left:'5px',
		font:{fontSize:18},
		color:'#fff',
		textAlign:'left'
	});
	var rfcInput = Ti.UI.createTextField({
		color:'#000',
		width:'280px',
		height:'30px',
		top:'50px',
		left:'5px',
		backgroundColor:'transparent',
		returnKeyType:Titanium.UI.RETURNKEY_DONE,
    	font:{fontSize:18, fontWeight:'bold'},
    	borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED,
    	value:null
	});
	var nameLabel = Ti.UI.createLabel({
		text:'Nombre:',
		height:'30px',
		width:'280px',
		top:'90px',
		left:'5px',
		font:{fontSize:18},
		color:'#fff',
		textAlign:'left'
	});
	var nameInput = Ti.UI.createTextField({
		color:'#000',
		width:'280px',
		height:'30px',
		top:'130px',
		left:'5px',
		backgroundColor:'transparent',
		returnKeyType:Titanium.UI.RETURNKEY_DONE,
    	font:{fontSize:18, fontWeight:'bold'},
    	borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED,
    	value:null
	});
	var address1Label = Ti.UI.createLabel({
		text:'Dirección - 1:',
		height:'30px',
		width:'280px',
		top:'170px',
		left:'5px',
		font:{fontSize:18},
		color:'#fff',
		textAlign:'left'
	});
	var address1Input = Ti.UI.createTextField({
		color:'#000',
		width:'280px',
		height:'30px',
		top:'210px',
		left:'5px',
		backgroundColor:'transparent',
		returnKeyType:Titanium.UI.RETURNKEY_DONE,
    	font:{fontSize:18, fontWeight:'bold'},
    	borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED,
    	value:null
	});
	var address2Label = Ti.UI.createLabel({
		text:'Dirección - 2:',
		height:'30px',
		width:'280px',
		top:'250px',
		left:'5px',
		font:{fontSize:18},
		color:'#fff',
		textAlign:'left'
	});
	var address2Input = Ti.UI.createTextField({
		color:'#000',
		width:'280px',
		height:'30px',
		top:'290px',
		left:'5px',
		backgroundColor:'transparent',
		returnKeyType:Titanium.UI.RETURNKEY_DONE,
    	font:{fontSize:18, fontWeight:'bold'},
    	borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED,
    	value:null
	});
	var cpLabel = Ti.UI.createLabel({
		text:'Código Postal:',
		height:'30px',
		width:'280px',
		top:'330px',
		left:'5px',
		font:{fontSize:18},
		color:'#fff',
		textAlign:'left'
	});
	var cpInput = Ti.UI.createTextField({
		color:'#000',
		width:'280px',
		height:'30px',
		top:'370px',
		left:'5px',
		backgroundColor:'transparent',
		returnKeyType:Titanium.UI.RETURNKEY_DONE,
    	font:{fontSize:18, fontWeight:'bold'},
    	borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED,
    	value:null
	});
	var estadoLabel = Ti.UI.createLabel({
		text:'Estado:',
		height:'30px',
		width:'280px',
		top:'410px',
		left:'5px',
		font:{fontSize:18},
		color:'#fff',
		textAlign:'left'
	});
	var estadoInput = Ti.UI.createTextField({
		color:'#000',
		width:'280px',
		height:'30px',
		top:'450px',
		left:'5px',
		backgroundColor:'transparent',
		returnKeyType:Titanium.UI.RETURNKEY_DONE,
    	font:{fontSize:18, fontWeight:'bold'},
    	borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED,
    	value:null
	});
	var paisLabel = Ti.UI.createLabel({
		text:'RFC:',
		height:'30px',
		width:'280px',
		top:'490px',
		left:'5px',
		font:{fontSize:18},
		color:'#fff',
		textAlign:'left'
	});
	var paisInput = Ti.UI.createTextField({
		color:'#000',
		width:'280px',
		height:'30px',
		top:'530px',
		left:'5px',
		backgroundColor:'transparent',
		returnKeyType:Titanium.UI.RETURNKEY_DONE,
    	font:{fontSize:18, fontWeight:'bold'},
    	borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED,
    	value:null
	});
	
	var saveButton = Ti.UI.createButton({
		//backgroundImage:'/images/backPedidos.png',
		title: 'Guardar',
		width:'100px',
		height:'42px',
		top:'590px',
		//left:'100px'
	});
	
	if(data){
		//si traigo datos es un update
		Ti.API.info('si traigo datos es un update');
	}

	
	saveButton.addEventListener('click', function(){
		//First logic to put the information on the server
		API.call({
			type : 'post',
			url  : 'user/'+user+'/invoicingInfo',
			data : {
				//id : response[2].user[0].id,
				taxId   : rfcInput.value.toString(),
				name   : nameInput.value.toString(),
				address1   : address1Input.value.toString(),
				address2 : address2Input.value.toString(),
				zip: cpInput.value.toString(),
				stateId: estadoInput.value.toString(),
				countryId: paisInput.value.toString()
			},
			callback : function(success){
				loader.xmas.hide();
				if (!success || this.raw.status == 400) return false;
				else if (this.raw.status != 200)
					return error('Respuesta del servidor inválida [' + this.raw.status + ']');
				response =  JSON.parse(this.raw.responseText);
				//login.xmas.window.close();
				var data = eval('('+this.raw.responseText+')');
				if(data.response[0].success == true)
				{
					var insert = database.xmas.putInvoice(rfcInput.value, nameInput.value, address1Input.value, address2Input.value, cpInput.value, estadoInput.value, paisInput.value);
					//mainWindow.close();
				}
				//yapp();
			}
		})
		
		//then if the server returns OK, put the information on the local database
		//using this function database.xmas.putAddress(address1, address2, cp, country, state)
	});
	headView.buttonLeft.addEventListener('click', function(){
		mainWindow.close();
	});
	gralView.add(rfcLabel);
	gralView.add(rfcInput);
	gralView.add(nameLabel);
	gralView.add(nameInput);
	gralView.add(address1Label);
	gralView.add(address1Input);
	gralView.add(address2Label);
	gralView.add(address2Input);
	gralView.add(cpLabel);
	gralView.add(cpInput);
	gralView.add(estadoLabel);
	gralView.add(estadoInput);
	gralView.add(paisLabel);
	gralView.add(paisInput);
	gralView.add(saveButton);
	scrollView.add(gralView);
	mainWindow.add(scrollView);
	mainWindow.add(headView.view);	
	
	return mainWindow;
		
};


invoiceui.xmas.showInfoView = function(data) {
		var labels = [];
	
		var gralView = Ti.UI.createView({
			backgroundColor:'transparent',
			borderRadius:10,
			width:300,
			height:500,
			top:10
		});	
		var count = 0;
		for(i in data){
			for (j in data[i]){
				if(j=="taxId"|| j=="name"||j=='address'){
					if(j=="address"){
						for(l in data[i][j]){
							for(k in data[i][j][l]){
								if(k !="countryId"|| k!="stateId"){
									var top = 50*count+10;
									var lab = Ti.UI.createLabel({text:k+': \n'+data[i][j][l][k],
										height:'50px',
										width:'280px',
										left:'5px',
										font:{fontSize:18},
										color:'#fff',
										textAlign:'left',
										top: top
									})
									gralView.add(lab);
									Ti.API.info('i ->'+i+'  l-->'+k+'datos [j]'+data[i][j][l][k] );	
									count++;
								}
							}
						}
					}	
				}else{
			var top = 50*count+10;
			var lab = Ti.UI.createLabel({text:j+': \n'+data[i][j],
				height:'50px',
				width:'280px',
				left:'5px',
				font:{fontSize:18},
				color:'#fff',
				textAlign:'left',
				top: top
				})
				gralView.add(lab);
			Ti.API.info('i ->'+i+'  j-->'+j+'datos [j]'+data[i][j] );
			count++;
			}
			//count++;
			}
	}
		
	
	return gralView;
	};
})();