(function() {
	items.xmas = {};

	items.xmas.createWindow = function(item) {

		items.xmas.window = Ti.UI.createWindow({
			title: "addItem",
			id:"addItem",
			backgroundImage:"/images/back.png"
		});

		items.xmas.header =  header.xmas.get({ labelLeft:'Atrás'});

		var itemsView = Titanium.UI.createView({
			backgroundImage:'/images/backItem.png',
			backgroundColor:'transparent',
			width:'300px',
			height:'310px'
		});

		var title = Ti.UI.createLabel({
			text:  item.name,
			height:'auto',
			width:'auto',
			top:'17px',
			left:'145px',
			font:{fontSize:16},
			color:'#fff',
			textAlign:'center'
		});

		var cost = Ti.UI.createLabel({
			text:'$ '+  item.price,
			height:'auto',
			width:'auto',
			top:'45px',
			left:'145px',
			font:{fontSize:24},
			color:'#FAAF3A',
			textAlign:'center'
		}); //118x123

		var prodImage = Ti.UI.createView({
			backgroundColor:'transparent',
			backgroundImage:  item.img,
			top:'17px',
			left:'7px',
			width:'118px',
			height:'123px'
		});

		var description = Ti.UI.createLabel({
			text:  item.desc,
			height:'auto',
			width:'280px',
			top:'155px',
			//left:'7px',
			font:{fontSize:18},
			color:'#fff',
			textAlign:'center'
		});

		var plusButton = Ti.UI.createButton({
			backgroundImage:'/images/plusButton.png',
			width:'39px',
			height:'49px',
			top:'90px',
			left:'230px'
		});

		var minusButton = Ti.UI.createButton({
			backgroundImage:'/images/minusButton.png',
			width:'39px',
			height:'49px',
			top:'90px',
			left:'145px'
		});

		var whiteArea = Ti.UI.createView({
			backgroundColor:'white',
			width:'49px',
			height:'46px',
			top:'91px',
			left:'183px'
		});

		var countArea = Ti.UI.createTextField({
			color:'#000',
			width:'49px',
			height:'46px',
			top:'91px',
			left:'183px',
			textAlign:'center',
			backgroundColor:'transparent',
			keyboardType:Titanium.UI.KEYBOARD_PHONE_PAD,
			returnKeyType:Titanium.UI.RETURNKEY_DONE,
    		font:{fontSize:22, fontWeight:'bold'}
		});

		var fastbuyButton = Ti.UI.createButton({
			backgroundImage:'/images/button.png',
			width:'118px',
			height:'43px',
			top:'260px',
			left: 160
		});

		var fastbuyLabel = Ti.UI.createLabel({
			text: "COMPRA\nRÁPIDA",
			color: '#FFF',
			backgroundColor: 'transparent',
			font:{
				fontSize:13.5,
				fontWeight:'bold'
			},
			textAlign: 'center'
		})

		var comprarButton = Ti.UI.createButton({
			backgroundImage:'/images/button.png',
			width:'118px',
			height:'43px',
			top:'260px',
			left: 20
		});

		var comprarLabel = Ti.UI.createLabel({
			text: 'AÑADIR AL CARRITO',
			color: '#FFF',
			backgroundColor: 'transparent',
			font:{
				fontSize:13.5,
				fontWeight:'bold'
			},
			textAlign: 'center'
		})

		countArea.value = 1;
		plusButton.addEventListener('click', function(){
			if (countArea.value <50)
				countArea.value++;
				//cost.text=cost.text*countArea.value;
		});

		minusButton.addEventListener('click', function(){
			if (countArea.value >0)
				countArea.value--;
				//cost.text=cost.text*countArea.value;
		});

		items.xmas.header.buttonLeft.addEventListener('click', function(){
			yapp();
			items.xmas.window.close();
		});

		comprarButton.addEventListener('click', function(){
			items.xmas.add2cart.createWindow(item, countArea.value);
			items.xmas.window.close();
			//database.xmas.getLists();
		});

		fastbuyButton.add(fastbuyLabel);
		comprarButton.add(comprarLabel);

		itemsView.add(whiteArea);
		itemsView.add(countArea);
		itemsView.add(plusButton);
		itemsView.add(minusButton);
		itemsView.add(description);
		itemsView.add(prodImage);
		itemsView.add(title);
		itemsView.add(cost);
		itemsView.add(fastbuyButton);
		itemsView.add(comprarButton);

		items.xmas.window.add(items.xmas.header.view);
		items.xmas.window.add(itemsView);
		items.xmas.window.open();
	};

	/**
	 *  This was Add2cart
	 */
	items.xmas.add2cart = {}

	items.xmas.add2cart.createWindow = function(item, count) {

		Ti.API.info(item);
		var result = database.xmas.getCarName(item.storeId);
		Ti.API.info(result);
		if(result == null){
			database.xmas.createCar(item.storeId, item.storeName);
		}
		database.xmas.insertIntoList(item.sku, item.storeId, count);
		//Agarrar el storeId y revisar si ya existe en la base de datos, tabla carrito
		/*
		 * Si el id existe en tabla carrito
		 * 	insert el id producto en la tabla lista con el id de la tabla carrito
		 * si no
		 * 	insertamos el carrito con este id y metemos el producto en la tabla lista con el id de la tabla carrito
		 * 
		 * Hay que meter el producto a la tabla de producto para poder visualizarlo en los carritos
		 * 
		 */

		items.xmas.add2cart.window = Ti.UI.createWindow({
			title           : 'addItem',
			id              : 'addItem',
			backgroundImage : '/images/back.png'
		});

		items.xmas.add2cart.header = header.xmas.get({
			labelLeft  : 'Atrás',
			labelRight : 'Continuar'
		});

		items.xmas.add2cart.header.buttonLeft.addEventListener('click', function(){
			yappItems(item);
			items.xmas.add2cart.window.close();
		});

		items.xmas.add2cart.header.buttonRight.addEventListener('click', function(){
			alert('Lista from server should appear here');
		});

		items.xmas.add2cart.window.add(items.xmas.add2cart.header.view);
		items.xmas.add2cart.window.open();
	};

})();