(function() {

	pedidos.xmas = {};

	tableViewClickHandler = function(event){
		if(event.row.value=='new'){
			Ti.API.info('click on NEW row '+event.row.value);
		} else {
			Ti.API.info('click on   row, lets build a window!  '+event.row.value);	
			var orderWin = order.xmas.createorderWindow(event.row.value);
			orderWin.open();
		}
	};

	pedidos.xmas.createWindow = function(){

		pedidos.xmas.window = Ti.UI.createWindow({
			title           : 'Pedidos',
			id              : 'Pedidos',
			backgroundImage : '/images/back.png'
		});

		pedidos.xmas.header = header.xmas.get({
			label     : 'Pedidos',
			labelLeft : 'Atrás'
		})

		pedidos.xmas.content = Ti.UI.createView({
			top             : 56,
			height          : 'auto',
			backgroundColor : 'transparent',
		});

		pedidos.xmas.imageWatermark =  Ti.UI.createImageView({
			image:'/images/watermarkPedidos.png'
		});


		var datos = database.xmas.getLists();
		var data = [];
		for(i=0; i<datos.length; i++){
			//data[i]= Ti.UI.Ti.UI.createTableViewRow(datos[i]);
			var row = Ti.UI.createTableViewRow({
				title:datos[i].title,
				backgroundImage:'images/backrow.png',
				backgroundColor:'transparent',
				color:'white',
				height:59,
				selectedBackgroundColor:'#ccc',
				borderColor:'transparent',
				rightImage:path+'images/btnSig.png',
				value:datos[i].value
			});
			data.push(row);
		}

		var createRow= Ti.UI.createTableViewRow({
			title: 'Nuevo Pedido',
			backgroundImage:path+'images/backrow.png',
			backgroundColor:'transparent',
			color:'white',
			height:59,
			selectedBackgroundColor:'#ccc',
			borderColor:'transparent',
			rightImage:path+'images/btnMas.png',
			value:'new'
			});
			data.push(createRow);

		var headerLabel = Ti.UI.createLabel({
			text:'Listas pendientes',
			height:35,
			width:150,
			top:0,
			left:0,
			font:{fontSize:14},
			color:'#fff',
			textAlign:'left'
		});

		var headerView = Ti.UI.createView({
			height:35,
			width:200,
			top:0,
			left:0
		});

		headerView.add(headerLabel);

		var pedidosTable = Ti.UI.createTableView({
			//data:pedidosData,
			data:data,
			height:210,
			width:300,
			top:70,
			backgroundColor:'transparent',
			separatorColor: 'transparent',
			//headerTitle:'Listas pendientes'
			headerView:headerView
		});

		pedidosTable.addEventListener('click',tableViewClickHandler);

		pedidos.xmas.header.buttonLeft.addEventListener('click', function(){
			yapp();
			pedidos.xmas.window.close();
		});

		pedidos.xmas.content.add(pedidosTable);

		pedidos.xmas.window.add(pedidos.xmas.imageWatermark);
		pedidos.xmas.window.add(pedidos.xmas.header.view);
		pedidos.xmas.window.add(pedidos.xmas.content);

		pedidos.xmas.window.open();
	};
})();