(function(){

	QR.xmas = {}

	QR.xmas.lib = require('ti.barcode');

	QR.xmas.get = function(id){ API.call({
		type : 'get',
		url  : 'product/' + parseInt(id,10).toString(),
		callback:function(status){
			Ti.Media.beep();
			Ti.Media.vibrate();
			if (!status || this.raw.status != 200)
				return error('Invalid server response [' + this.raw.status + ']');
			if (!this.object.success) return error(this.object.msg);
			loader.xmas.hide();
			yappItems(this.object.product);
			main.xmas.window.close();
		}
	});};

	QR.xmas.capture = function(){

		loader.xmas.show();

		QR.xmas.lib.capture({

		    // simple configuration for iPhone simulator
		    configure: {
				classType     : 'ZBarReaderController',
			    tracksSymbols : true,
			    sourceType    : 'Camera',
			    cameraMode    : 'Default',
			    symbol: {
				    'QR-Code' : true,
					'EAN-13'  : true,
					'DataBar' : true
				}
		    },

			success:function(event){
				if(__DEBUG) Ti.API.info('TiBar success callback!');
				QR.xmas.get(event.result);
		    },

			cancel:function(){
				if(__DEBUG) Ti.API.info('TiBar cancel callback!');
		    },

			error:function(){
				if(__DEBUG) Ti.API.info('TiBar error callback!');
				QR.xmas.get(1);
		    }
		});
	}
})();